Package com.omnisci.thrift.server

## Class OmniSci.load_table_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.load_table_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.load_table_args>`, `org.apache.thrift.TBase<OmniSci.load_table_args,​OmniSci.load_table_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.load_table_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.load_table_args,​OmniSci.load_table_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.load_table_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.load_table_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<OmniSci.load_table_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<TStringRow>` `rows`
`String` `session`
`String` `table_name`

### Constructor Summary

Constructors
`load_table_args()`
`load_table_args​(OmniSci.load_table_args other)` Performs a deep copy on other.
`load_table_args​(String session, String table_name, List<TStringRow> rows)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToRows​(TStringRow elem)`
`void` `clear()`
`int` `compareTo​(OmniSci.load_table_args other)`
`OmniSci.load_table_args` `deepCopy()`
`boolean` `equals​(OmniSci.load_table_args that)`
`boolean` `equals​(Object that)`
`OmniSci.load_table_args._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(OmniSci.load_table_args._Fields field)`
`List<TStringRow>` `getRows()`
`Iterator<TStringRow>` `getRowsIterator()`
`int` `getRowsSize()`
`String` `getSession()`
`String` `getTable_name()`
`int` `hashCode()`
`boolean` `isSet​(OmniSci.load_table_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetRows()` Returns true if field rows is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_name()` Returns true if field table_name is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(OmniSci.load_table_args._Fields field, Object value)`
`OmniSci.load_table_args` `setRows​(List<TStringRow> rows)`
`void` `setRowsIsSet​(boolean value)`
`OmniSci.load_table_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`OmniSci.load_table_args` `setTable_name​(String table_name)`
`void` `setTable_nameIsSet​(boolean value)`
`String` `toString()`
`void` `unsetRows()`
`void` `unsetSession()`
`void` `unsetTable_name()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### table_name

    public String table_name

#### rows

    public List<TStringRow> rows

#### metaDataMap

    public static final Map<OmniSci.load_table_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### load_table_args

    public load_table_args()

#### load_table_args

    public load_table_args​(String session,
                           String table_name,
                           List<TStringRow> rows)

#### load_table_args

    public load_table_args​(OmniSci.load_table_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.load_table_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.load_table_args,​OmniSci.load_table_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.load_table_args,​OmniSci.load_table_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public OmniSci.load_table_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getTable_name

    public String getTable_name()

#### setTable_name

    public OmniSci.load_table_args setTable_name​(String table_name)

#### unsetTable_name

    public void unsetTable_name()

#### isSetTable_name

    public boolean isSetTable_name()

Returns true if field table_name is set (has been assigned a value) and false otherwise

#### setTable_nameIsSet

    public void setTable_nameIsSet​(boolean value)

#### getRowsSize

    public int getRowsSize()

#### getRowsIterator

    public Iterator<TStringRow> getRowsIterator()

#### addToRows

    public void addToRows​(TStringRow elem)

#### getRows

    public List<TStringRow> getRows()

#### setRows

    public OmniSci.load_table_args setRows​(List<TStringRow> rows)

#### unsetRows

    public void unsetRows()

#### isSetRows

    public boolean isSetRows()

Returns true if field rows is set (has been assigned a value) and false otherwise

#### setRowsIsSet

    public void setRowsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.load_table_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.load_table_args,​OmniSci.load_table_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.load_table_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.load_table_args,​OmniSci.load_table_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.load_table_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.load_table_args,​OmniSci.load_table_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.load_table_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.load_table_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.load_table_args>`

#### fieldForId

    public OmniSci.load_table_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.load_table_args,​OmniSci.load_table_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`